% SPA0305:  Amplitude spectra From Signal 3.

fid=fopen('c:\matlab\spa\signals\signal_3.txt');
x=fscanf(fid,'%7d%8d%8d%8d%8d%8d%8d%8d%8d%8d\n',10001);
fclose(fid);

subplot(3,1,1);
T=1/44.1; t=0:T:10000*T;
plot(t,x,'w'); grid on; xlabel('Time (ms)'); ylabel('Amplitude');
title('SPA0305: Amplitude spectra: 0-46 and 136-182 ms');

for nplot=2:3;
 start=1+6000*(nplot-2);
 freq=(0:50)/(2048*T);
 X=fft(x(start:start+2047));
 amp_spect=abs(X);
 subplot(3,1,nplot);
 plot(freq,amp_spect(1:51),'w*'); grid on;
   xlabel('Frequency (Khz)'); ylabel('Amplitude');
end;

