% SPA0402: Power density spectrum of white uniform noise.
rand('seed',123);
x=sqrt(12*3)*(rand(1,1000)-.5);
x2=sum(x.^2)/1000;
[y,nsgmts]=sppowr(x,32,1,0);
tpower=(y(1)+y(17)+2*sum(y(2:16)))/32;
fprintf(' nsgmts=%4g\n',nsgmts);
fprintf(' y='); fprintf('%7.3f',y(1:8)); fprintf('\n');
fprintf('   '); fprintf('%7.3f',y(9:17)); fprintf('\n');
fprintf(' ACTUAL POWER, ESTIMATED POWER:%7.3f%7.3f\n\n',...
   x2,tpower)
bar_sp([0:(length(y)-1)]/(2*length(y)-2),y);...
   title('Figure 4.6');...
   xlabel('Frequency (Sampling Frequency = 1.0)');...
   ylabel('Power Density');
