% SPA0403:  Compute power density spectrum of sine waves
%           in white uniform noise.
rand('seed',123);
x=sin(3*pi*[0:999]/16)+0.5*sin(7*pi*[0:999]/16);
x=x+sqrt(12*0.01)*(rand(1,1000)-.5);
[y,nsgmts]=sppowr(x,32,1,0.5);
y=10*log10(y);
bar_sp([0:(length(y)-1)]/(2*length(y)-2),y);...
   title('Figure 4.9');...
   xlabel('Frequency (Sampling Frequency = 1.0)');...
   ylabel('Power Density in dB');
