% SPA0501:  Demo of the use of SPGAIN at a single frequency.

b=2.0; a=[1.0,0.6];
d=[0.3,0.8,0.2]; c=1.0;
f=[0,-.1]; e=[1.0,0.0,0.9];

fprintf('\n            REAL      IMAG\n')
h=spgain(b,a,0.25);
fprintf('H(b,a): %8.4f%10.4f\n',real(h),imag(h))
h=spgain(d,c,0.25);
fprintf('H(d,c): %8.4f%10.4f\n',real(h),imag(h))
h=spgain(f,e,0.25);
fprintf('H(f,e): %8.4f%10.4f\n\n',real(h),imag(h))
