% SPA0504:  Amplitude gain plot for the cascade combination,
%           H1(Z)*H2(Z).

b=0.2; a=[1,-0.8]; d=[0.05,-0.1]; c=[1,-0.95,0.9];
freq=[0 : 0.5/300 : 0.5];
amp=abs(spgain(b,a,freq) .* spgain(d,c,freq));
plot(freq,amp,'w');...
   title('Figure 5.6');...
   xlabel('Frequency (Sampling Frequency = 1.0)');...
   ylabel('Amplitude Gain');...
   grid

