% SPA0507:  Plot impulse response of 
%           H(Z)=(0.05*Z^2-0.1*Z)/(Z^2-0.95*Z+0.9).

x=[1,0]; b=[0.05,-0.1]; a=[1,-0.95,0.9];

y=spresp(x,100,b,a);

plot([0:99],y,'w');...
   title('Figure 5.10');...
   xlabel('Sample Number');...
   ylabel('Unit Impulse Response');...
   grid

