%SPA1006 - Interpolation of speech data.
fid=fopen('c:\matlab\spa\signals\signal_3.txt');
k0=26900; N=100;
x=fscanf(fid,'%7d%8d%8d%8d%8d%8d%8d%8d%8d%8d\n',k0);
x=fscanf(fid,'%7d%8d%8d%8d%8d%8d%8d%8d%8d%8d\n',N);
fclose(fid);
clg;
figure(1); plot([k0:k0+N-1]/44.1,x,'w'); grid;...
xlabel('Time in ms');...
ylabel('Counts');...
title('Fig. 10.17: Part of Signal 3.')
[y,N10]=spzint(x',N,1/10);
figure(2); plot([k0:k0+N10-1]/44.1,y(1:N10),'w'); grid;
xlabel('Time in ms');
ylabel('Counts');
title('Fig. 10.18: Interpolated version of Fig. 10.17.')
