% SPA1102: Solve for the coefficients in SPA1101.
x=[0:50]/50;
y=-1 - 5*x - 3*x.^2 + 10*x.^3;
L=3;
[A,c]=spnorm(x,y,L);
b=A\c;
fprintf(' POLYNOMIAL COEFFICIENTS\n');
for i=1:4,
   fprintf(' b(%1g) = %7.2f\n',i-1,b(i));
end
