% SPA1107:  Demonstrate the use of Levinson's algorithm.
Avect=2*cos(2*pi*(0:1)/10);
c=(-4*sin(2*pi*(0:1)/10))';
N=51; L=1;
% Solve for the filter coefficients.
%b=(toeplitz(Avect)\c)';
   b=splevs(Avect,c);
% Generate x and y, and filter x.
   x=2*sin(2*pi*[0:50]/10);  
   y=4*cos(2*pi*[0:50]/10);   
   py=0; px=0;
   [yhat,px,py]=spfilt(b,1,x,0,0);
fprintf('\n FILTER COEFFICIENTS\n');
for i=1:L+1,
   fprintf(' b(%1g) = %10.3f\n',i-1,b(i))
end
plot([0:50],y,'w-');...
  hold on;...
  plot([0:50],yhat,'w*'); grid;...
  hold off;
  title('Figure 11.5');...
  xlabel('Sample Number');...
  ylabel('Amplitude');
