% SPA1305:  Demonstrate the use of spxexp function.
rand('seed',123);
N=51; a=-0.1; b=0.5;
x=[1:N];
y=b*x .* exp(a*x) + 0.2*(rand(1,N)-0.5);
[a_hat,b_hat]=spxexp(x,y);
xplot=1+[0:300]*50/300;
y_hat=b_hat*xplot .* exp(a_hat*xplot);
fprintf('EQUATION:  y = %4.2f*x*exp(%4.2f*x)\n',b_hat,a_hat)
clg
plot(x,y,'*w'); grid on;...
   hold on;...
   plot(xplot,y_hat,'w');...
   title('Figure 13.4');...
   xlabel('Sample Number');...
   ylabel('Amplitude');
