% SPA1306:  Demonstrate the use of splmts function.
N=101; N2=fix(N/2);
t=[0:N2-1]-N2;
x=sin(2*pi*0.25*t) ./ (pi*t);
x(N2+1)=0.5;
x(N2+2:N)=x(N2:-1:1);
[xmin,imin,xmax,imax]=splmts(x);
fprintf('MAXIMUM VALUE:  x(%2g) = %5.3f\n',imax-1,xmax)
fprintf('MINIMUM VALUE:  x(%2g) = %5.3f\n',imin-1,xmin)
plot([0:N-1],x,'w',[0:N-1],x,'ow'); grid;...
   title('Figure 13.5');...
   xlabel('Sample number');...
   ylabel('Amplitude');
