% SPA1403: Phase resp. of FIR filter H(z)=1-4*z^(-1)+4*z^(-2).
b=[1,-4,4];
g=spgain(b,1,0.5*[0:200]/200);
phase=atan2(imag(g),real(g))*180/pi;
unphase=spunwr(phase,2);
subplot(211)
   plot([0:200]/400,phase,'w'); grid on;...
   title('Figure 14.3a:  Phase Resp. Before Unwrapping');
   ylabel('Phase (Degrees)');...
subplot(212)
   plot([0:200]/400,unphase,'w'); grid on;...
   title('Figure 14.3b:  Phase Resp. After Unwrapping');
   xlabel('Frequency (Hz-s)');...
   ylabel('Phase (Degrees)')
