% SPA1406: Generate Walsh coefficients; sequence length N=8.
fprintf(' SEQ. INDEX   ------WALSH COEFFICIENTS-----\n')
for nseq=0:7,
   coeff=spwlsh(3,nseq,[0:7]);
   fprintf('%6g     %4.0f%4.0f',nseq,coeff(1),coeff(2));...
   fprintf('%4.0f%4.0f%4.0f',coeff(3),coeff(4),coeff(5));...
   fprintf('%4.0f%4.0f%4.0f\n',coeff(6),coeff(7),coeff(8));
end
