function X=spcomp(x,f)
% X=spcomp(x,f)
% X=DFT component(s) of row vector x at frequency(ies) f.
% f=frequency in Hz-s of DFT component.
% f may be a row vector. See Chapter 3, Section 3.10.
% X is a complex row vector with length same as length(f).

N=length(x);
X=x * (exp(-j*2*pi*[0:N-1]' * f));
return
