% SPA0304:  Plot [xk] in (3.18) and its amplitude spectrum.
% SPA0201 is executed first to produce t and x vectors.

spa0201;
subplot(2,1,1)
plot(t,x,'w'); grid on;
  xlabel('Time (s)'); ylabel('Amplitude');
  title('SPA0304: Waveform and amplitude spectrum');

X=fft(x);
amp_spect=sqrt(X .* conj(X));
subplot(2,1,2)
freq=(0:60)/(1024*0.001);
plot(freq,amp_spect(1:61),'w*'); grid on;
  xlabel('Frequency (Hz)'); ylabel('Amplitude');

