% SPA0307 - 1-d and 2-d DFT's of a simple image.

t=(1:31)';
s=sin(2*pi*t/16) + 0.5*sin(2*pi*t/4);
for col=1:16
 x(1:16,col)=s(col:col+15);
end
subplot(2,2,1);
colormap(gray(256));
image(85*(x+1.5));
title('Image of Matrix "x"');

X=fft(x);
amp=sqrt(X .* conj(X));
subplot(2,2,2);
image(32*amp);
title('Amplitude of X=fft(x)');

Y=fft(X.').';
amp=sqrt(Y .* conj(Y));
subplot(2,2,3);
image(2*amp);
title('Amplitude of Y=fft(X.'').''');

Z=fft2(x);
amp=sqrt(Z .* conj(Z));
subplot(2,2,4);
image(2*amp);
title('Amplitude of FFT2');
