% SPA0605:  Demonstrate the use of SPPFLT.
N=25;
x=[1,0*ones(1,N-1)];
px=0; py=0;
b=[0.08327,0.0239,0;  -0.08327,-0.0246,0];
a=[1,-1.5658,0.6549;  1,-1.4934,0.8392];

for nblk=0:3
   [y,px,py]=sppflt(b,a,x,px,py);
   data(nblk*N+1:nblk*N+N)=y;
   x(1)=0;
end
fprintf(' SAMPLE    RESPONSE\n')
for k=1:10,
   fprintf('%5g %12.4f\n',k-1,data(k))
end
fprintf('\n')
plot(data,'w'); grid;...
   title('Figure 6.10');...
   xlabel('Sample Number');...
   ylabel('Amplitude');
