% SPA0807:  FIR highpass filter using rectangular window.
L=20; iband=2; fl=2500; fh=0; T=0.0001; iwndo=1;
fln=fl*T;
fhn=fh*T;
b=spfird(L,iband,fln,fhn,iwndo);
freq=[0:300]*0.5/300;
amp=abs(spgain(b,1,freq));
fprintf('\n N     B(N)        N     B(N)        N     B(N)\n');
for n=0:6,
   fprintf('%2g%10.5f%8g',n,b(n+1),n+7);...
   fprintf('%10.5f%8g%10.5f\n',b(n+8),n+14,b(n+15));
end
plot([0:300]*5/300,amp,'w'); grid;...
   title('Figure 8.14');...
   xlabel('Frequency (kHz)');...
   ylabel('Amplitude');
end
